//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _CALIBRATEH
#define _CALIBRATEH

#nolist

// INCLUDES =========================================================
// END INCLUDES =====================================================

// DEFINES ==========================================================
#define NUM_SLOPE_CAL_POINTS 4
// END DEFINES ======================================================

// PROTOTYPES =======================================================
void calibrate(void);
bool calibrate_idle(bool * pressed);
void calibrate_offset(void);
void calibrate_slope(void);
void save_calibration_info(void);
void load_calibration_info(void);
void measure_slope_error(int8 position);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif