//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
// Not nice to have to use this file but CCS does not have linker   =
//===================================================================

#ifndef _GLOBALC
#define _GLOBALC

// HEADERS ==========================================================
#include "commands.h"
#include <string.h>
// END HEADERS ======================================================

// GLOBALS ==========================================================
static bool unit_on = false;
static bool allow_start_key_press = true;
static unsigned int8 start_key_press = 0;
static unsigned char tempStr[50];
static unsigned char lcdStr [21];
static bool testing = false;
static bool calibrating = false;

static STANDARD_TYPE test_standard_info;
static unsigned int16 serial_no;
static unsigned char cal_date[8];
static bool dual_channel;
static int8 units;
static bool			  test_result1;
static bool			  test_result2;
static unsigned int16 cal_offset[2];
static unsigned int32 cal_slope[2];
static unsigned int16 pressure[2];
static unsigned int16 pascal_pressure[2];
static unsigned int16 stabilise[2];
static unsigned int16 sample_num[2];
// END GLOBALS ======================================================

// C FILES ==========================================================
#include "timer.c"
#include "rs232.c"
#include "LCD.C"
#include "strings.c"
#include "adc.c"
#include "testing.c"
#include "standards.c"
#include "eeprom.c"
#include "calibrate.c"
#include "comms.c"
// END C FILES ======================================================

// MACROS =========================================================
// END MACROS =====================================================

// =============================================================
#endif
